<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Transportista"
                widgetVar="Editarregistro"
                modal="true"
                resizable="false"
                closable="true"
                width="650" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <p:inputText value="#{transportistaMB.registroSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{transportistaMB.registroSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerotermo" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerotermo" value="#{transportistaMB.registroSeleccionado.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="numerosello" value="Placas " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numerosello" value="#{transportistaMB.registroSeleccionado.placas}" style="width: 350px" required="true" requiredMessage="El campo plcas es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="lector_temp" value="Número Ecónomico: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="lector_temp" value="#{transportistaMB.registroSeleccionado.numero_economico}"  style="width: 350px"  required="true" requiredMessage="El campo numero economico es requerido"/>
                            </p:column>
                             
                            <p:column>
                                <p:commandButton 
                                    value="Editar" 
                                    icon="ui-icon-pencil" style="font-size:  100%"
                                    action="#{transportistaMB.editarRegistro(transportistaMB.registroSeleccionado.id,
                                              transportistaMB.registroSeleccionado)}">
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close" style="font-size:  100%" 
                                    onclick="PF('Editarregistro').hide();">
                                </p:commandButton>
                            </p:column>
                            
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
